@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;700&display=swap');
/* ----------------
   reglas generales
   ---------------- */
   *,
*::before,
*::after {
  box-sizing: border-box;
}

:root {
    --color-principal: hsl(0, 0%, 100%);
    --color-textos: hsl(0, 3%, 13%);
    --color-titulos: #d63384;
    --color-fondo: hsl(51, 100%, 97%);
    --color-contraste: hsl(325, 52%, 90%);
    --espacio-medio: 1rem;
    --color-2: hsl(180, 100%, 94%);
}
body {
  font-family: "Montserrat", sans-serif;
  color: var(--color-textos);
  background-color: rgb(252, 202, 202);
  
  max-width: 1200px;
    margin: 0 auto;
    padding: 1rem;
}
/* contenedor principal */
.contenedora {
  width: min(50rem, 100%);
  margin-inline: auto;
  padding: 1rem;
}
/* ----------------
   header
   ---------------- */
header,
footer {
  background-color: rgb(250, 222, 144);
  padding: 1rem;
  box-shadow: 0 4px 8px rgb(241, 169, 187);
  border-radius: 2px;
  margin-bottom: 2rem;
  text-align: center;
}
.logodgpc {
  width: 60px;
  height: auto;
  display: block;
  margin: 0 auto;
}
.menu ul {
  list-style: none;
  display: flex;
  flex-direction: row;
  justify-content: center;
  gap: 1rem;
  padding: 20px;
  margin: 0;
}
.menu li {
  display: block;
}
.menu a {
  color: #552929;
  font-weight: 700;
  text-decoration: none;
}
/* ----------------
   presentación
   ---------------- */
.cajadeafuera {
  background-image: url("fondopresentacion.jpg");
  background-size: cover;
  background-position: center;
  border-radius: 20px;
  width: 100%;
  max-width: 650px;
  padding: 25px;
  margin-inline: auto;
  margin-bottom: 70px;
}
.cajaadentro {
  background-color: rgb(252, 225, 191);
  padding: 25px;
  border-radius: 20px;
}
  cajaadentro h1,
  cajaadentro h3 {
    color: #e91e63;}

  .cajaadentro p {
    color:rgb(77, 5, 5)}  
img {
  max-width: 100%;
  height: auto;
  display: block;
}
/* ----------------
   materias
   ---------------- */
  main h2, 
  main h3 {
  color: var(--color-titulos);
  display: grid;
  gap: var(--espacio-grande);
}
.materias {
  width: 100%;
  max-width: 700px;
  margin-inline: auto;
  margin-bottom: 25px;
  padding: 2rem;
  background-color: blanchedalmond;
  border: solid 2px rgb(241, 169, 187);
  border-radius: 15px;
}
.materias li {
  color: #af6161;
}
.materias li::marker {
  color: #552929;
}
.persona img {
    width: 120px;
    height: 120px;
    border-radius: 50%;
    object-fit: cover;
}
.companeras {
  display: flex;
  justify-content: center;
  gap: 30px;
}
.compa {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.compa a {
  color: #552929;
  text-decoration: none;
  font-weight: bold;
  margin-top: 10px;
}  


footer {
  margin-top: auto;
}

.columnas {  
    display: flex;
    justify-content: space-between;
    gap: 30px;
    flex-wrap: wrap;
}

.columna {
    flex: 1;
    text-align: center;
}

.columna ul {
    list-style: none;
    padding: 0;
}
.encabezado {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.encabezado a {
    text-decoration: none;
    color: inherit; /* usa el mismo color del h3 */
}
.encabezado img {
    width: 80px;
    max-width: 100%;
    height: auto;
    margin-bottom: 10px;
}

